<template>
  <div class="settings-container">
    <div class="title">Зачёт кругорейса</div>
    <div class="input-row">
      <ObInput
        label="Радиус"
        :value="settings.roundTripRadius"
        sub-title="км"
        class="input-row__left"
        @blur="onSaveField('roundTripRadius', $event)"
      />
      <div class="description">
        Максимальный радиус от предыдущей точки разгрузки до текущей точки погрузки
      </div>
    </div>
    <div class="description mb10">Или</div>
    <div class="input-row">
      <ObInput
        label="Время, не более"
        :value="settings.roundTripTime / MINUTES_IN_HOURS"
        sub-title="ч"
        class="input-row__left"
        @blur="onSaveField('roundTripTime', $event)"
      />
      <div class="description">
        Время на дорогу до точки погрузки плюс-минус от планового времени прибытия. Рассчитывается от точки нахождения ТС в данный момент
      </div>
    </div>
    <ObAlert
      theme="warning"
      icon="alert"
      :hide-close-button="true"
      class="mt15"
    >
      При совпадении этих условий платформа предлагает автоматически сформировать кругорейс при выборе исполнителя.
    </ObAlert>
    <div class="title mt10">Персональные предложения (ПП)</div>
    <div class="description mb30">Персональные предложения позволяют перевозчикам формировать кругорейсы либо с уже исполняемыми заказами, либо брать пакет из заказов уже объединенных в кругорейс.</div>
    <div class="input-row">
      <ObInput
        label="Срок действия ПП"
        :value="settings.personalOfferDuration / MINUTES_IN_HOURS"
        sub-title="ч"
        class="input-row__left"
        @blur="onSaveField('personalOfferDuration', $event)"
      />
      <div class="description">
        Срок действия ПП для перевозчика
      </div>
    </div>
    <div class="input-row">
      <ObInput
        label="Глубина выборки заказов"
        :value="settings.personalOfferOrderAge"
        sub-title="дней"
        class="input-row__left"
        @blur="onSaveField('personalOfferOrderAge', $event)"
      />
      <div class="description">
        Срок давности, после которого подборка заказов для ПП не производится
      </div>
    </div>
    <div class="input-row">
      <ObInput
        label="Отклонение от тарифа"
        :value="settings.personalOfferTariffDeviation"
        sub-title="%"
        class="input-row__left"
        @blur="onSaveField('personalOfferTariffDeviation', $event)"
      />
      <div class="description">
        Допустимый процент отклонения от лимитного тарифа в ПП
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import ObInput from "common-components/src/obComponents/obInput"
import ObAlert from 'common-components/src/obComponents/obAlert'

export default {
  name: 'ClicarSettingsAutosearchCircleTripSettings',
  components: {
    ObInput,
    ObAlert
  },
  props: {
    settings: {
      type: Object,
      required: true
    }
  },
  methods: {
    ...mapActions({
      getAutosearchSettings: 'clicarSettings_3/getAutosearchSettings'
    }),
    onSaveField (path, event) {
      let value = event.target ? event.target.value : event

      this.$emit('on-save-field', { path, value })
    }
  },
  computed: {
    MINUTES_IN_HOURS () {
      return 60
    },
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.settings-container {
  max-width: 700px;
}

.title {
  margin-top: 30px;
  margin-bottom: 10px;
  @include font-mixin(16px,20px, 700, $color-text-base, 0.4px);
}

.description {
  @include font-mixin(14px, 18px, 400, $color-grey-label);
}

.mt10 {
  margin-top: 10px!important;
}

.mb10 {
  margin-bottom: 10px!important;
}

.mt15 {
  margin-top: 15px!important;
}

.mb30 {
  margin-bottom: 30px!important;
}

.input-row {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  &__left {
    flex-shrink: 0;
    width: 230px;
    margin-right: 10px;
  }
}
</style>
